---

stages:
  - validate
  - build

static checking:
  stage: validate
  image: python:2.7
  script:
    - pip install cpplint
    - cd src
    - cpplint hello.cpp

build:
  stage: build
  image: gcc
  script:
    - cd src
    - make all
  artifacts:
    paths:
      - src/hello
